| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Classes | Namespaces | Enumerations | Variables
wrapperlib.hpp File Reference
Private

libz and libbz2 wrapper to have identical interface to these libraries. More...

`#include "../my_config.h"`
`#include "integers.hpp"`

Go to the source code of this file.

## Classes
class | libdar::wrapperlib
| this class encapsulates calls to libz or libbz2 More...

## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Enumerations
enum | wrapperlib_mode { zlib_mode , bzlib_mode , xz_mode }

## Variables
const int | libdar::WR_OK = 0
const int | libdar::WR_MEM_ERROR = 1
const int | libdar::WR_VERSION_ERROR = 2
const int | libdar::WR_STREAM_ERROR = 3
const int | libdar::WR_DATA_ERROR = 4
const int | libdar::WR_NO_FLUSH = 5
const int | libdar::WR_BUF_ERROR = 6
const int | libdar::WR_STREAM_END = 7
const int | libdar::WR_FINISH = 8

## Detailed Description

libz and libbz2 wrapper to have identical interface to these libraries.

libz and libbz2 library differ in the way they return values in certain circumpstances. This module defines the wrapperlib class that make their use homogeneous.

Definition in file wrapperlib.hpp.